Shadcnblocks
Shadcnblocks AdminNextjs + shadcn/ui
Ecommerce
Project Management
    • Dashboard 1
    • Dashboard 2
    • Dashboard 3
    • Dashboard 4
Payment Processor
AI Chat App
Todo
Original
  • Users
  • Tasks
Developers
Pages

Project Management

Shadcnblocks/Dashboard
KLJTTB+2

Command Center

Track delivery, focus on what matters, and ship with confidence.

3 min ago

Portfolio Health

Good

On track

Projects

24

Active

On Track

17

71%

At Risk

5

21%

Off Track

2

8%

Budget Burn

62%

$8.7M / $14.1M

Sprint health

CompletedScope

68%

Sprint progress

32

Completed

47

Total points

Budget Burn

ActualForecast

$8.7M

62% of budget

Current Project

Project Name

Shadcnblocks

Shadcnblocks

In Progress

Project Manager

KLKiara L.

Design Lead

JTJoe T.

Team

KLJTTBCW+8

Upcoming milestones

Revenue dashboard v2

REV-241

May 14, 2026
On Track

Onboarding flow launch

ONB-118

May 21, 2026
At Risk

Mobile app beta

MBL-304

May 28, 2026
On Track

Public API v1

API-092

Jun 4, 2026
At Risk

Status Tracker

Absent

CW

Cameron Williamson

Replaced by Kiara L.

Absent
MR

Maya Rao

Coverage by Ava R.

Absent

Away

TB

Tania Brooks

Synergy

25m
RS

Riya Sharma

Discovery

18m
JT

Joe Tesla

Apex

12m
AR

Ava Reed

Console

10m
KL

Kiara Laras

Pulse

8m
BL

Ben Lewis

Infra

6m

Recent activity

commented on RFC-112

Filters API performance improvements

10m ago

moved RFC-126 to Review

Export module CSV support

1h ago

closed RFC-101

Timeline engine refactor

2h ago

updated ONB-118

Onboarding stepper UI tweaks

3h ago

Delivery throughput

Weekly planned vs completed issues